import { HcApi } from '../request/index'
import website from "~src/config";
import md5 from "js-md5";
import {getProjectAndContract, getTenantID} from "~api/user_a";

export default {
    //用户登录
    async userLogin({ tenantId, deptId, roleId, username, password, type, key, code }) {
        return HcApi({
            url: '/api/blade-auth/oauth/token',
            method: 'post',
            headers: {
                'Tenant-Id': tenantId,
                'Dept-Id': (website.switchMode ? deptId : ''),
                'Role-Id': (website.switchMode ? roleId : ''),
                'Captcha-Key': key,
                'Captcha-Code': code,
            },
            params: {
                tenantId,
                username,
                password: md5(password),
                grant_type: (website.captchaMode ? 'captcha' : 'password'),
                scope: 'all',
                type,
            },
        })
    },
    //刷新token
    async refreshToken(refresh_token, tenantId, deptId, roleId) {
        return HcApi({
            url: '/api/blade-auth/oauth/token',
            method: 'post',
            headers: {
                'Tenant-Id': tenantId,
                'Dept-Id': (website.switchMode ? deptId : ''),
                'Role-Id': (website.switchMode ? roleId : ''),
            },
            params: {
                tenantId,
                refresh_token,
                grant_type: 'refresh_token',
                scope: 'all',
            },
        })
    },
    //获取用户信息
    async queryCurrentUserData(form = {}) {
        return HcApi({
            url: '/api/blade-business/userViewProjectContract/queryCurrentUserData',
            method: 'post',
            data: form,
        })
    },
    //获取项目合同段
    async getProjectAndContract() {
        return HcApi({
            url: '/api/blade-business/userViewProjectContract/queryUserViewProjectAndContract',
            method: 'get',
        })
    },
    //获取租户ID
    async getTenantID(domain) {
        return HcApi({
            url: '/api/blade-system/tenant/info',
            method: 'get',
            params: {
                domain,
            },
        })
    },
}
