import 'virtual:uno.css'
//主要
import { createApp } from 'vue'
import setupPinia from './store/init'
import router, { setupRouter } from './router'
import website from '~src/config/index'
import App from './App.vue'

//饿了么UI
import ArcoVue from '@arco-design/web-vue';
import '@arco-design/web-vue/dist/arco.css';

//hc-vue3-ui
import HcVue3UI from 'hc-vue3-ui'

//挂载全局
import { setupComponents } from './components/index'

//导入其它样式
import './styles/app/main.scss'
import './styles/app/element.scss'
import './styles/app/theme.scss'

//创建实例
async function bootstrap() {
    const app = createApp(App)

    // 挂载状态管理
    app.use(setupPinia)

    // 挂载路由
    await setupRouter(app)

    // 路由准备就绪后挂载APP实例
    await router.isReady()

    // 饿了么UI框架
    app.use(ArcoVue)

    // hc-vue3-ui
    app.use(HcVue3UI, website)

    // 组件注册全局
    setupComponents(app)

    app.mount('#app')
}

// eslint-disable-next-line no-void
void bootstrap()
