import Layout from '~src/layout/index.vue'

//路由菜单系统内置页面配置
export default [
    {
        path: '/',
        redirect: '/home/index',
    },
    {
        path: '/login',
        name: 'login',
        meta: { title: '登录' },
        component: () => import('~src/views/login/index.vue'),
    },
    {
        path: '/home',
        name: 'home',
        redirect: '/home/index',
        meta: { title: '首页' },
        component: Layout,
        children: [
            {
                path: '/home/index',
                name: 'home-index',
                meta: { title: '首页' },
                component: () => import('~src/views/home/index.vue'),
            },
        ],
    },
    {
        path: '/403',
        name: '403',
        meta: { title: '403' },
        component: () => import('~src/views/error/403.vue'),
    },
    {
        path: '/404',
        name: '404',
        meta: { title: '404' },
        component: () => import('~src/views/error/404.vue'),
    },
    {
        path: '/500',
        name: '500',
        meta: { title: '500' },
        component: () => import('~src/views/error/500.vue'),
    },
    {
        path: '/:path(.*)*',
        redirect: '/404',
    },
]
